Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Util
Class Constants

    java.lang.Object
      Util.Constants

    public final class Constants

extends java.lang.Object

This class has all the constants. The names for properties.

Field Summary
`static java.lang.String` | `BOX_COUNT_DIVISION`
`static java.lang.String` | `cfgClassName` Default class for running GEVA
`static java.lang.String` | `cfgClassPath` Default class path for running GEVA
`static java.lang.String` | `cfgConfigPath` Default ui configuration.
`static java.lang.String` | `cfgExpert` Expert flag
`static java.lang.String` | `cfgFFFile` FF config filename
`static java.lang.String` | `cfgGrammarPath` Default directory to grammar files
`static java.lang.String` | `cfgGraphFile` Graph config filename
`static java.lang.String` | `cfgHeapSize` Specifiy maximum size of memory allocation pool for GEVA
`static java.lang.String` | `cfgJavaName` Default java executable name
`static java.lang.String` | `cfgPath` Path where configuration is saved
`static java.lang.String` | `cfgPropertiesPath` Default directory to properties files
`static java.lang.String` | `cfgSelectedProps` Startup properties file selected in GUI
`static java.lang.String` | `cfgServer` Set the JVM flag to server.
`static java.lang.String` | `cfgWorkingAbsPath` Default working directory; null = current directory
`static java.lang.String[][]` | `cmdFlags` Command line flag synonyms for config path.
`static java.lang.String` | `CROSSOVER_PROBABILITY` Probability of crossing over inputs
`static java.lang.String` | `DEFAULT_PROPERTIES` Path to default properties file
`static java.lang.String` | `defClassName` Default class for running GEVA
`static java.lang.String` | `defClassPath` Default class path for running GEVA
`static java.lang.String` | `defConfigPath` Default ui configuration.
`static java.lang.String` | `defGrammarPath` Default directory to grammar files
`static java.lang.String` | `defJavaName` Default java executable name
`static java.lang.String` | `defPropertiesPath` Default directory to properties files
`static java.lang.String` | `defSelectedProps` Default selected properties file
`static java.lang.String` | `defWorkingAbsPath` Default working directory; null = current directory
`static java.lang.String` | `DIRTY_SYMBOL` Text appended to the window caption when the properties of that window are dirty
`static java.lang.String` | `DUPLICATION_PROBABILITY` Probability of duplicating inputs
`static java.lang.String` | `ELITE_SIZE` Number of elites.
`static java.lang.String` | `EVALUATE_ELITES` If the elites should be evaluated each iteration
`static java.lang.String` | `extGlobal` Global parser extension name
`static java.lang.String` | `extGraph` Graph parser extension name
`static java.lang.String` | `FALSE`
`static java.lang.String` | `FITNESS_FUNCTION` Class name of fitness function.
`static java.lang.String` | `FIXED_POINT_CROSSOVER` If the crossover point is fixed
`static java.lang.CharSequence` | `GE_CODON_VALUE` Signature of a GE Codon.
`static java.lang.String` | `GE_CODON_VALUE_PARSING` Identifying a GE codon when parsing
`static java.lang.String` | `GENERATION` Number of iterations of algorithm
`static java.lang.String` | `GENERATION_GAP` Porportion of new solutions (population) that will be inserted among the old solutions (population)
`static java.lang.String` | `GENERATIONAL` Sets generation gap to population size.
`static java.lang.String` | `GRAMMAR_FILE` Path to grammar file *.bnf
`static java.lang.String` | `GRAPH_CATEGORY_GEVA`
`static java.lang.String` | `GRAPH_DATA_BEGIN` Value output by GEVA a line before it begins outputting data
`static java.lang.String` | `GRAPH_DATA_GENERATIONS` Value output by GEVA of how many generations it will execute
`static java.lang.String` | `GRAPH_FORMAT` Format used to display statistics information on the graph run pane
`static java.lang.String` | `GROW_PROBABILITY` Probability of choosing a to grow a full depth tree when rampde full grow initialisation is used.
`static java.lang.String` | `HELP_FLAG`
`static java.lang.String` | `IMG_SAVE` Image displayed on image save button
`static java.lang.String` | `IMG_SPLASH` Image displayed when GUI starts
`static java.lang.String` | `INDIVIDUAL_CATCH_INTERVAL` Interval between saved individuals in the population
`static java.lang.String` | `INITIAL_CHROMOSOME_SIZE` Length of input for random initialisation
`static java.lang.String` | `INITIALISER` Class name of initialiser operation.
`static java.lang.String` | `MAX_DEPTH` Max depth of tree growth for full and grow initialisation
`static java.lang.String` | `MAX_WRAPS` Number of times the input is reread from start.
`static java.lang.String` | `MUTATION_PROBABILITY` Probability of mutating an input
`static java.lang.String` | `ODE_DAMAGE_WALL_HEIGHT` Sets wall height in blocks in ode DamageCalc
`static java.lang.String` | `ODE_DAMAGE_WALL_WIDTH` Sets wall width in blocks in ode DamageCalc
`static java.lang.String` | `ODE_INTERACTIONS` Sets number of step interactions to perform (higher is more accurate)
`static java.lang.String` | `ODE_STEPS` Sets number of simulation seconds to run for
`static java.lang.String` | `ODE_STEPSIZE` Sets size of a single step (number of seconds of action per step, lower is more accurate)
`static java.lang.String` | `OUTPUT` Path for output file.
`static java.lang.String` | `POPULATION_SIZE` Size of individual solutions
`static java.lang.String` | `PROPERTIES_FILE` Path to properties file
`static java.lang.String` | `REPLACEMENT_OPERATOR` Class name of replacement operator.
`static java.lang.String` | `REPLACEMENT_TYPE` Generational or steady state replacment.
`static java.lang.String` | `RNG_SEED` The seed for the random number generator.
`static java.lang.String` | `SELECTION_OPERATION` Class name of selection operation.
`static java.lang.String` | `SELECTION_SIZE` Selection size proportion of population used selected.
`static java.lang.String` | `STEADY_STATE` Sets generation gap to 1/population size.
`static java.lang.String` | `STOP_WHEN_SOLVED` Stop algorithm if global optimum is found before max iterations
`static java.lang.String` | `TARGET_FRACTAL_DIMENSION`
`static java.lang.String` | `TOURNAMENT_SIZE` Size of tournament for tournament selection
`static java.lang.String` | `TRUE`
`static java.lang.String` | `txtGrammarExt` The file extension for grammar files.
`static java.lang.String` | `txtPostScriptExt` Extension for PostScript
`static java.lang.String` | `txtPropertiesExt` The file extension for properties files.
`static java.lang.String` | `USERPICK_SIZE` Size of population for user selection
`static java.lang.String` | `VERSION_FLAG`
`static java.lang.String` | `WORDMATCH_WORD` Word to match when using the wordmatch fitness function

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FITNESS_FUNCTION

    public static final java.lang.String FITNESS_FUNCTION

  Class name of fitness function. Reflection used to load

  See Also:
    Constant Field Values

### SELECTION_OPERATION

    public static final java.lang.String SELECTION_OPERATION

  Class name of selection operation. Reflection used to load

  See Also:
    Constant Field Values

### REPLACEMENT_OPERATOR

    public static final java.lang.String REPLACEMENT_OPERATOR

  Class name of replacement operator. Reflection used to load

  See Also:
    Constant Field Values

### PROPERTIES_FILE

    public static final java.lang.String PROPERTIES_FILE

  Path to properties file

  See Also:
    Constant Field Values

### INITIALISER

    public static final java.lang.String INITIALISER

  Class name of initialiser operation. Reflection used to load

  See Also:
    Constant Field Values

### OUTPUT

    public static final java.lang.String OUTPUT

  Path for output file. Starts in user.dir Output files are appended a timestamp and *.dat If output is set to false no output is written

  See Also:
    Constant Field Values

### GENERATION

    public static final java.lang.String GENERATION

  Number of iterations of algorithm

  See Also:
    Constant Field Values

### STOP_WHEN_SOLVED

    public static final java.lang.String STOP_WHEN_SOLVED

  Stop algorithm if global optimum is found before max iterations

  See Also:
    Constant Field Values

### GRAMMAR_FILE

    public static final java.lang.String GRAMMAR_FILE

  Path to grammar file *.bnf

  See Also:
    Constant Field Values

### MAX_WRAPS

    public static final java.lang.String MAX_WRAPS

  Number of times the input is reread from start.

  See Also:
    Constant Field Values

### GROW_PROBABILITY

    public static final java.lang.String GROW_PROBABILITY

  Probability of choosing a to grow a full depth tree when rampde full grow initialisation is used.

  See Also:
    Constant Field Values

### MAX_DEPTH

    public static final java.lang.String MAX_DEPTH

  Max depth of tree growth for full and grow initialisation

  See Also:
    Constant Field Values

### ELITE_SIZE

    public static final java.lang.String ELITE_SIZE

  Number of elites.

  See Also:
    Constant Field Values

### EVALUATE_ELITES

    public static final java.lang.String EVALUATE_ELITES

  If the elites should be evaluated each iteration

  See Also:
    Constant Field Values

### INITIAL_CHROMOSOME_SIZE

    public static final java.lang.String INITIAL_CHROMOSOME_SIZE

  Length of input for random initialisation

  See Also:
    Constant Field Values

### SELECTION_SIZE

    public static final java.lang.String SELECTION_SIZE

  Selection size proportion of population used selected. E.g 1.0 generates a selection of population size

  See Also:
    Constant Field Values

### POPULATION_SIZE

    public static final java.lang.String POPULATION_SIZE

  Size of individual solutions

  See Also:
    Constant Field Values

### REPLACEMENT_TYPE

    public static final java.lang.String REPLACEMENT_TYPE

  Generational or steady state replacment. If mor control is needed use the generation gap and selection size parameters.

  See Also:
    Constant Field Values

### FIXED_POINT_CROSSOVER

    public static final java.lang.String FIXED_POINT_CROSSOVER

  If the crossover point is fixed

  See Also:
    Constant Field Values

### TOURNAMENT_SIZE

    public static final java.lang.String TOURNAMENT_SIZE

  Size of tournament for tournament selection

  See Also:
    Constant Field Values

### USERPICK_SIZE

    public static final java.lang.String USERPICK_SIZE

  Size of population for user selection

  See Also:
    Constant Field Values

### INDIVIDUAL_CATCH_INTERVAL

    public static final java.lang.String INDIVIDUAL_CATCH_INTERVAL

  Interval between saved individuals in the population

  See Also:
    Constant Field Values

### MUTATION_PROBABILITY

    public static final java.lang.String MUTATION_PROBABILITY

  Probability of mutating an input

  See Also:
    Constant Field Values

### CROSSOVER_PROBABILITY

    public static final java.lang.String CROSSOVER_PROBABILITY

  Probability of crossing over inputs

  See Also:
    Constant Field Values

### DUPLICATION_PROBABILITY

    public static final java.lang.String DUPLICATION_PROBABILITY

  Probability of duplicating inputs

  See Also:
    Constant Field Values

### GENERATION_GAP

    public static final java.lang.String GENERATION_GAP

  Porportion of new solutions (population) that will be inserted among the old solutions (population)

  See Also:
    Constant Field Values

### WORDMATCH_WORD

    public static final java.lang.String WORDMATCH_WORD

  Word to match when using the wordmatch fitness function

  See Also:
    Constant Field Values

### RNG_SEED

    public static final java.lang.String RNG_SEED

  The seed for the random number generator.

  See Also:
    Constant Field Values

### TRUE

    public static final java.lang.String TRUE

See Also:
  Constant Field Values

### FALSE

    public static final java.lang.String FALSE

See Also:
  Constant Field Values

### STEADY_STATE

    public static final java.lang.String STEADY_STATE

  Sets generation gap to 1/population size. Sets selection size to 2/population size.

  See Also:
    Constant Field Values

### GENERATIONAL

    public static final java.lang.String GENERATIONAL

  Sets generation gap to population size. Sets selection size to population size.

  See Also:
    Constant Field Values

### DEFAULT_PROPERTIES

    public static final java.lang.String DEFAULT_PROPERTIES

  Path to default properties file

  See Also:
    Constant Field Values

### GE_CODON_VALUE

    public static final java.lang.CharSequence GE_CODON_VALUE

  Signature of a GE Codon. Indicates special treatment in the parsing

### GE_CODON_VALUE_PARSING

    public static final java.lang.String GE_CODON_VALUE_PARSING

  Identifying a GE codon when parsing

### ODE_INTERACTIONS

    public static final java.lang.String ODE_INTERACTIONS

  Sets number of step interactions to perform (higher is more accurate)

  See Also:
    Constant Field Values

### ODE_STEPSIZE

    public static final java.lang.String ODE_STEPSIZE

  Sets size of a single step (number of seconds of action per step, lower is more accurate)

  See Also:
    Constant Field Values

### ODE_STEPS

    public static final java.lang.String ODE_STEPS

  Sets number of simulation seconds to run for

  See Also:
    Constant Field Values

### ODE_DAMAGE_WALL_WIDTH

    public static final java.lang.String ODE_DAMAGE_WALL_WIDTH

  Sets wall width in blocks in ode DamageCalc

  See Also:
    Constant Field Values

### ODE_DAMAGE_WALL_HEIGHT

    public static final java.lang.String ODE_DAMAGE_WALL_HEIGHT

  Sets wall height in blocks in ode DamageCalc

  See Also:
    Constant Field Values

### TARGET_FRACTAL_DIMENSION

    public static final java.lang.String TARGET_FRACTAL_DIMENSION

See Also:
  Constant Field Values

### BOX_COUNT_DIVISION

    public static final java.lang.String BOX_COUNT_DIVISION

See Also:
  Constant Field Values

### VERSION_FLAG

    public static final java.lang.String VERSION_FLAG

See Also:
  Constant Field Values

### HELP_FLAG

    public static final java.lang.String HELP_FLAG

See Also:
  Constant Field Values

### DIRTY_SYMBOL

    public static final java.lang.String DIRTY_SYMBOL

  Text appended to the window caption when the properties of that window are dirty

  See Also:
    Constant Field Values

### IMG_SPLASH

    public static final java.lang.String IMG_SPLASH

  Image displayed when GUI starts

  See Also:
    Constant Field Values

### IMG_SAVE

    public static final java.lang.String IMG_SAVE

  Image displayed on image save button

  See Also:
    Constant Field Values

### GRAPH_CATEGORY_GEVA

    public static final java.lang.String GRAPH_CATEGORY_GEVA

See Also:
  Constant Field Values

### GRAPH_DATA_GENERATIONS

    public static final java.lang.String GRAPH_DATA_GENERATIONS

  Value output by GEVA of how many generations it will execute

  See Also:
    Constant Field Values

### GRAPH_DATA_BEGIN

    public static final java.lang.String GRAPH_DATA_BEGIN

  Value output by GEVA a line before it begins outputting data

  See Also:
    Constant Field Values

### GRAPH_FORMAT

    public static final java.lang.String GRAPH_FORMAT

  Format used to display statistics information on the graph run pane

  See Also:
    Constant Field Values

### cfgSelectedProps

    public static final java.lang.String cfgSelectedProps

  Startup properties file selected in GUI

  See Also:
    Constant Field Values

### cfgConfigPath

    public static final java.lang.String cfgConfigPath

  Default ui configuration. A configuration script that describes the property controls to display

  See Also:
    Constant Field Values

### cfgPropertiesPath

    public static final java.lang.String cfgPropertiesPath

  Default directory to properties files

  See Also:
    Constant Field Values

### cfgGrammarPath

    public static final java.lang.String cfgGrammarPath

  Default directory to grammar files

  See Also:
    Constant Field Values

### cfgJavaName

    public static final java.lang.String cfgJavaName

  Default java executable name

  See Also:
    Constant Field Values

### cfgClassPath

    public static final java.lang.String cfgClassPath

  Default class path for running GEVA

  See Also:
    Constant Field Values

### cfgClassName

    public static final java.lang.String cfgClassName

  Default class for running GEVA

  See Also:
    Constant Field Values

### cfgWorkingAbsPath

    public static final java.lang.String cfgWorkingAbsPath

  Default working directory; null = current directory

  See Also:
    Constant Field Values

### cfgExpert

    public static final java.lang.String cfgExpert

  Expert flag

  See Also:
    Constant Field Values

### cfgPath

    public static final java.lang.String cfgPath

  Path where configuration is saved

  See Also:
    Constant Field Values

### cfgFFFile

    public static final java.lang.String cfgFFFile

  FF config filename

  See Also:
    Constant Field Values

### cfgGraphFile

    public static final java.lang.String cfgGraphFile

  Graph config filename

  See Also:
    Constant Field Values

### defSelectedProps

    public static final java.lang.String defSelectedProps

  Default selected properties file

  See Also:
    Constant Field Values

### defConfigPath

    public static final java.lang.String defConfigPath

  Default ui configuration. A configuration script that describes the property controls to display

  See Also:
    Constant Field Values

### defPropertiesPath

    public static final java.lang.String defPropertiesPath

  Default directory to properties files

  See Also:
    Constant Field Values

### defGrammarPath

    public static final java.lang.String defGrammarPath

  Default directory to grammar files

  See Also:
    Constant Field Values

### defJavaName

    public static final java.lang.String defJavaName

  Default java executable name

  See Also:
    Constant Field Values

### defClassPath

    public static final java.lang.String defClassPath

  Default class path for running GEVA

  See Also:
    Constant Field Values

### defClassName

    public static final java.lang.String defClassName

  Default class for running GEVA

  See Also:
    Constant Field Values

### defWorkingAbsPath

    public static final java.lang.String defWorkingAbsPath

  Default working directory; null = current directory

  See Also:
    Constant Field Values

### cfgHeapSize

    public static final java.lang.String cfgHeapSize

  Specifiy maximum size of memory allocation pool for GEVA

  See Also:
    Constant Field Values

### cfgServer

    public static final java.lang.String cfgServer

  Set the JVM flag to server.

  See Also:
    Constant Field Values

### txtPropertiesExt

    public static final java.lang.String txtPropertiesExt

  The file extension for properties files. These are filtered when scanning the properties directory

  See Also:
    Constant Field Values

### txtGrammarExt

    public static final java.lang.String txtGrammarExt

  The file extension for grammar files. These are filtered when scanning the grammar directory

  See Also:
    Constant Field Values

### txtPostScriptExt

    public static final java.lang.String txtPostScriptExt

  Extension for PostScript

  See Also:
    Constant Field Values

### extGlobal

    public static final java.lang.String extGlobal

  Global parser extension name

  See Also:
    Constant Field Values

### extGraph

    public static final java.lang.String extGraph

  Graph parser extension name

  See Also:
    Constant Field Values

### cmdFlags

    public static final java.lang.String[][] cmdFlags

  Command line flag synonyms for config path. Format is, first element is the id of the command: this is used by GEVAConfig.parseFlag as the return value when a flag is encountered. The second through second-last elements all make up the synonyms for the flag: if parseFlag encounters any one of these, it returns the related id. The last element is a description of the flag, and is output when the help flag is set, or an unknown flag is encountered

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD